Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1123828 - get rid of "Non interactive user" instead of "Unknown" once and for all
Summary: get rid of "Non interactive user" instead of "Unknown" once and for all
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Oved Ourfali
QA Contact: Martin Mucha
URL:
Whiteboard: infra
Depends On: 922520
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-28 11:23 UTC by Michal Skrivanek
Modified: 2016-02-10 19:26 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:14:31 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30996 master MERGED core: audit log unknown values Never
oVirt gerrit 30997 ovirt-engine-3.5 MERGED core: audit log unknown values Never

Description Michal Skrivanek 2014-07-28 11:23:50 UTC
In many places where we fail to get the right value we log it as "non interactive user" in AuditLogDirector.java.
It's very confusing, it should say "unknown" or" N/A", even "NULL" would better than this

Comment 1 Omer Frenkel 2014-07-28 11:40:19 UTC
well it was "UNKNOWN" but seems like a wrong fix for bug 922520 caused this, changing the global value used everywhere for something that is correct only to a subset of cases.

Comment 2 Michal Skrivanek 2014-07-28 11:41:57 UTC
pls fix bug 922520 in a different way and revert back to "UNKNOWN" for the generic logger

Comment 3 Oved Ourfali 2014-08-04 06:34:41 UTC
It is an internal system-process running, so using SYSTEM/OVIRT-ENGINE/INTERNAL looks like the right thing here.

Thoughts?

Comment 4 Michal Skrivanek 2014-08-04 06:50:15 UTC
(In reply to Oved Ourfali from comment #3)
not in all cases. Sometimes it just means an empty NULL value (not)coming from VDSM/guest-agent for example
I believe UNKNOWN is the most universal

Comment 5 Oved Ourfali 2014-08-04 06:55:56 UTC
(In reply to Michal Skrivanek from comment #4)
> (In reply to Oved Ourfali from comment #3)
> not in all cases. Sometimes it just means an empty NULL value (not)coming
> from VDSM/guest-agent for example
> I believe UNKNOWN is the most universal

Which makes it kinda system operation.
I don't want to get in the loop of the UNKNOWN entry again.
Either we change to something with more meaning, or leave it as non-interactive user... which is what it is....

Comment 6 Michal Skrivanek 2014-08-04 07:20:34 UTC
(In reply to Oved Ourfali from comment #5)
I prefer "Application list: UNKNOWN" rather than "Application List: Non-Interactive user";-)

The point here is that what Douglas fixed was this specific case where it wasn't really unknown, so we should have added a specific log message with different wording for that one case.
We can add all the specific cases, e.g. "Applist: empty" or such, for now anything's better than non-interactive user for all but that one case.

Comment 7 Oved Ourfali 2014-08-04 07:22:19 UTC
(In reply to Michal Skrivanek from comment #6)
> (In reply to Oved Ourfali from comment #5)
> I prefer "Application list: UNKNOWN" rather than "Application List:
> Non-Interactive user";-)
> 
> The point here is that what Douglas fixed was this specific case where it
> wasn't really unknown, so we should have added a specific log message with
> different wording for that one case.
> We can add all the specific cases, e.g. "Applist: empty" or such, for now
> anything's better than non-interactive user for all but that one case.

Why not fixing this specific use-case as well? Not to print it if it is empty?

Comment 8 Michal Skrivanek 2014-08-04 07:28:13 UTC
that's what I'm saying, sure, fix them all…but there are other places like this (not sure how many). But again there should be no "default" like Non-interactive user anywhere - either eliminate it completely which might be tricky or put back Unknown or N/A or NULL or something

Comment 9 Oved Ourfali 2014-08-04 07:31:10 UTC
(In reply to Michal Skrivanek from comment #8)
> that's what I'm saying, sure, fix them all…but there are other places like
> this (not sure how many). But again there should be no "default" like
> Non-interactive user anywhere - either eliminate it completely which might
> be tricky or put back Unknown or N/A or NULL or something

Do you have other use-cases in which "SYSTEM" won't do?

Comment 10 Michal Skrivanek 2014-08-04 07:37:48 UTC
Don't know, it's a "UNKNOWN_VARIABLE_VALUE" so it can be anywhere. I just see it frequently in guest agent's app list and/or user name, and sometimes during migration (I think during reruns), there are probably many other cases, it's always a mistake as the variable in the message we log is null

Comment 11 Oved Ourfali 2014-08-04 07:44:22 UTC
OK.
I see what you mean.
For some reason I thought it is only used when referred to User.... didn't understand it is generic.
My bad.
Will fix it.

Comment 12 Omer Frenkel 2014-08-04 07:51:29 UTC
some examples to take into consideration:
"VM xp-1 configuration was updated by Non interactive user."

above its good, but the next 2 doesn't make sense, probably the previous "unknown" was good..

"Host dubi.tlv.redhat.com cannot access the Storage Domain(s) Non interactive user attached to the Data Center omer. Setting Host state to Non-Operational."

"Migration failed due to Error: Fatal error during migration. Trying to migrate to another Host (VM: f19-testday, Source: ziggy.tlv.redhat.com, Destination: Non interactive user)."

previously it was:
"VM external-f19-ci1 was created by <UNKNOWN>."

Comment 13 Oved Ourfali 2014-08-04 07:53:33 UTC
(In reply to Omer Frenkel from comment #12)
> some examples to take into consideration:
> "VM xp-1 configuration was updated by Non interactive user."
> 
> above its good, but the next 2 doesn't make sense, probably the previous
> "unknown" was good..
> 
> "Host dubi.tlv.redhat.com cannot access the Storage Domain(s) Non
> interactive user attached to the Data Center omer. Setting Host state to
> Non-Operational."
> 
> "Migration failed due to Error: Fatal error during migration. Trying to
> migrate to another Host (VM: f19-testday, Source: ziggy.tlv.redhat.com,
> Destination: Non interactive user)."
> 
> previously it was:
> "VM external-f19-ci1 was created by <UNKNOWN>."

I think <UNKNOWN> fits all. Don't see the use in now splitting different "unknown" values per domain of interest.

Comment 14 Eyal Edri 2015-02-17 17:14:31 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.